import type { JSX } from '../../stencil-public-runtime';
import type { WebComponentInterface } from '../../internal/functional-components/generic-types';
import type { QuoteApi } from '../../internal/functional-components/quote/api';
import type { QuoteVariantType } from '../../internal/props/variant-quote';
export declare class KolQuote implements WebComponentInterface<QuoteApi> {
    private readonly ctrl;
    _href: string;
    watchHref(value?: string): void;
    _label?: string;
    watchLabel(value?: string): void;
    _quote: string;
    watchQuote(value?: string): void;
    _variant?: QuoteVariantType;
    watchVariant(value?: QuoteVariantType): void;
    componentWillLoad(): void;
    render(): JSX.Element;
}
